%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A general purpose calculator and math tool
Name:		genius
Version:	1.0.22
Release:	%mkrel 1
License:	GPLv3+
Group:		Sciences/Mathematics
URL:		http://www.jirka.org/genius.html
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		genius-1.0.22-mga-fix-desktop-file.patch
BuildRequires:	intltool >= 0.21
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires:	pkgconfig(vte) >= 0.17.1
BuildRequires:	pkgconfig(gtksourceview-2.0) >= 2.0.2
BuildRequires:	gmp-devel
BuildRequires:	readline-devel
BuildRequires:	mpfr-devel
BuildRequires:	pkgconfig(tinfo)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	scrollkeeper
BuildRequires:	automake
BuildRequires:	gnome-doc-utils
Requires:	ghostscript

%description
Genius is an advanced calculator and a mathematical programming language.
It handles multiple precision floating point numbers, infinite precision
integers, complex numbers and matrixes.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --disable-scrollkeeper --disable-update-mimedb
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# remove stuff not distributed
# pointless to include header, no plugin has been developed in 4 yrs
rm -rf %{buildroot}%{_includedir}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/packages/*
%{_datadir}/mime-info/*
%{_datadir}/omf/*
%{_iconsdir}/hicolor/*/apps/gnome-genius.*
%{_iconsdir}/hicolor/*/apps/genius-stock-plot.png
%{_libdir}/%{name}/
%{_libexecdir}/genius-readline-helper-fifo


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 1.0.22-1.mga6
+ Revision: 1080004
- new version: 1.0.22
- rename and rediff desktop file patch

* Tue Feb 16 2016 daviddavid <daviddavid> 1.0.21-1.mga6
+ Revision: 961953
- new version: 1.0.21
- rename and rediff desktop file patch

* Sun Feb 14 2016 umeabot <umeabot> 1.0.20-2.mga6
+ Revision: 960274
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 ovitters <ovitters> 1.0.20-1.mga6
+ Revision: 871657
- new version 1.0.20

* Wed Oct 15 2014 umeabot <umeabot> 1.0.19-2.mga5
+ Revision: 747826
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 1.0.19-1.mga5
+ Revision: 732719
- new version 1.0.19

* Tue Sep 16 2014 umeabot <umeabot> 1.0.18-2.mga5
+ Revision: 679492
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 ovitters <ovitters> 1.0.18-1.mga5
+ Revision: 668443
- new version 1.0.18
- dropped merged patch 1

* Thu May 29 2014 fwang <fwang> 1.0.17-4.mga5
+ Revision: 627470
- fix current readline usage

* Mon Oct 21 2013 umeabot <umeabot> 1.0.17-4.mga4
+ Revision: 540512
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 1.0.17-3.mga4
+ Revision: 493749
- Remove previous hack as no longer needed with newer ncurses

* Tue Oct 08 2013 colin <colin> 1.0.17-2.mga4
+ Revision: 493224
- Add hacky patch to find termcap.h
- Rebuild against ncurse's libtinfo rather than libtermcap

* Tue Jun 25 2013 ovitters <ovitters> 1.0.17-1.mga4
+ Revision: 446615
- new version 1.0.17

* Fri Jan 11 2013 umeabot <umeabot> 1.0.16-2.mga3
+ Revision: 351347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 1.0.16-1.mga3
+ Revision: 332158
- new version 1.0.16
- clean spec

* Wed Mar 28 2012 ovitters <ovitters> 1.0.15-1.mga3
+ Revision: 227223
- new version 1.0.15

  + fwang <fwang>
    - br gnome-doc-utils
    - drop old section
    - new vesion 1.0.14

  + kharec <kharec>
    - imported package genius

